Summary: The SIKIGAMI(R) graphical PPP management tool.
Name: sgdial
Version: 0.0.2
Release: 0
License: GPL
Group: Applications/System
Source: sgdial-%{version}.tar.gz
Requires: ppp >= 2.3.9, initscripts >= 5.40, wvdial >= 1.40-5, usermode >= 1.13, /etc/pam.d/system-auth
Obsoletes: usernet
BuildRoot: %{_tmppath}/%{name}-root

%description
The sgdial program provides an easy-to-use interface for configuring
PPP connections, and for activating and monitoring any type of
network configuration.  sgdial includes a GNOME panel applet,
a more highly functional replacement for usernet, and a graphical
configuration tool that takes you through the process of setting up
a PPP connection from start to finish, one step at a time.

%prep
%setup -q

%build
%configure --sysconfdir=/etc
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%{makeinstall}
%find_lang %name

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/sgdial
%{_bindir}/usernet
%{_bindir}/sgdialcfg
%{_sbindir}/sgdialcfg
%{_datadir}/gnome/help/*/*/*
%{_datadir}/applets/*/*
%{_datadir}/pixmaps/sgdial
%config %{_sysconfdir}/X11/applnk/*/*
%config %{_sysconfdir}/CORBA/servers/*
%config(noreplace) /etc/security/console.apps/*
%config(noreplace) /etc/pam.d/*
%config %{_libdir}/desktop-links/*

%changelog
* Thu Nov 20 2001 Ikuo Asano <asano@axe-inc.co.jp>
- created stub package
